I want to programatically select two faces by their name (which are prenamed, so I know the name) and mate the two faces. I am having big trouble programmatically selecting these faces. All examples have a precondition that the objects are preselected. SelectByID2 doesn't seem to pick the...
I am trying to select two cylindrical surfaces to axial mate. These surfaces have know names and I want to select these faces by their name. I try "swmodel.Extension.SelectByID2("A", "FACE", 0, 0, 0, True, 0, Nothing, 0)", but it selects some random face. Any help would be great. I am a beginner!
still having trouble. Don't think I'm declaring my array properly.
This is my only relation applied to my part
Dim objRelNuttoScrew as Solidedge.assembly.axialRelations3d = nothing
objRelNuttoScrew = objReleations3d.addaxial(objReftoConeInNut, objreftocylinderinscrew, false)
This is my...
I am having the hardest time getting anyone to respond on any forum about captured fits. Does anyone know how to programmatically set a geometry type of a part file to be used in capture fit. i can see using solid edge spy that my document (a nut) has a 'capturerelationshipcount' of 1, and a...
I am trying to add my fasteners to the standard parts library, and not all of my fasteners have a captured fit. Is there a way to capture fit the parent and pass it to the child, or any way to automate the process rather than insert each into an assy.
I am heading up a project to get all our purchase item component models into the library. We will be doing this on an ST box offline. I plan to copy all the files and start sticking them into the standard parts library, as well as update all missing props and inserting some new ones. Once this...
I have been given the task of quieting a vacuum drum on a machine. It's a rotating drum with a pattern of holes covering the entire drum. It rotates around a shaft with a slot in it. Attached is a vacuum pump. This drum sucks and as it rotates advances paper downstream. The sound is very...
OK, forget the library part. how would I go about tying the groove OD to the shaft OD. To expand on this, I basically want a feature that can take the shaft diameter and apply the groove OD and width dimensions to suit. My snap ring catalogue gives me the groove OD and width based on the...
I am trying to make a feature for a snap ring groove. I'd like to be able to insert a library feature tht will have a formula that checks that my shaft diameter is say if equal to .500", then it'll make my groove diameter A and with B. Any hints on this?